package com.supwisdom.dlpay.api.service.impl

import com.supwisdom.dlpay.api.dao.PersonDao
import com.supwisdom.dlpay.api.domain.TPerson
import com.supwisdom.dlpay.api.service.PersonService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service

/**
 * Created by shuwei on 2019/4/12.
 */
@Service
class PersonServiceImpl : PersonService {
    @Autowired
    lateinit var personDao: PersonDao

    override fun getPersonByThirdUniqueIdenty(thirdUniqueIdenty: String): TPerson {
        return personDao.findByUserid(thirdUniqueIdenty)
    }

    override fun getPersonByUserid(userid: String): TPerson {
        return personDao.getOne(userid)
    }
}